Skip to main content
GET
Get Trace

Authorizations

Galileo-API-Key
string
header
required

Path Parameters

trace_id
string<uuid4>
required
project_id
string<uuid4>
required

Query Parameters

include_presigned_urls
boolean
default:false

Response

Successful Response

id
string<uuid4>
required

Galileo ID of the trace

session_id
string<uuid4>
required

Galileo ID of the session containing the trace (or the same value as id for a trace)

trace_id
string<uuid4>
required

Galileo ID of the trace containing the span (or the same value as id for a trace)

project_id
string<uuid4>
required

Galileo ID of the project associated with this trace or span

run_id
string<uuid4>
required

Galileo ID of the run (log stream or experiment) associated with this trace or span

spans
(ExtendedAgentSpanRecordWithChildren · object | ExtendedWorkflowSpanRecordWithChildren · object | ExtendedLlmSpanRecord · object | ExtendedToolSpanRecordWithChildren · object | ExtendedRetrieverSpanRecordWithChildren · object | ExtendedControlSpanRecord · object)[]
type
string
default:trace

Type of the trace, span or session.

Allowed value: "trace"
input
default:""

Input to the trace or span.

redacted_input

Redacted input of the trace or span.

output

Output of the trace or span.

redacted_output

Redacted output of the trace or span.

name
string
default:""

Name of the trace, span or session.

created_at
string<date-time>

Timestamp of the trace or span's creation.

user_metadata
User Metadata · object

Metadata associated with this trace or span.

tags
string[]

Tags associated with this trace or span.

status_code
integer | null

Status code of the trace or span. Used for logging failure or error states.

metrics
Metrics · object

Metrics associated with this trace or span.

external_id
string | null

A user-provided session, trace or span ID.

dataset_input
string | null

Input to the dataset associated with this trace

dataset_output
string | null

Output from the dataset associated with this trace

dataset_metadata
Dataset Metadata · object

Metadata from the dataset associated with this trace

updated_at
string<date-time> | null

Timestamp of the session or trace or span's last update

has_children
boolean | null

Whether or not this trace or span has child spans

metrics_batch_id
string<uuid4> | null

Galileo ID of the metrics batch associated with this trace or span

session_batch_id
string<uuid4> | null

Galileo ID of the metrics batch associated with this trace or span

feedback_rating_info
Feedback Rating Info · object

Feedback information related to the record

annotations
Annotations · object

Annotations keyed by template ID and annotator ID

file_ids
string<uuid4>[]

IDs of files associated with this record

file_modalities
enum<string>[]

Modalities of files associated with this record

Classification of content modality

Available options:
text,
document,
image,
audio,
video
annotation_aggregates
Annotation Aggregates · object

Annotation aggregate information keyed by template ID

annotation_agreement
Annotation Agreement · object

Annotation agreement scores keyed by template ID

overall_annotation_agreement
number | null

Average annotation agreement across all templates in the queue

annotation_queue_ids
string<uuid4>[]

IDs of annotation queues this record is in

fully_annotated
boolean | null

Whether every field is annotated by every annotator in the queue

progress_message
string
default:""

Runner progress text written directly to CH span

error_message
string
default:""

Runner error text written directly to CH span

metric_info
Metric Info · object | null

Detailed information about the metrics associated with this trace or span

files
Files · object | null

File metadata keyed by file ID for files associated with this record

is_complete
boolean
default:true

Whether the trace is complete or not

num_spans
integer | null